io.vertx.tracing.zipkin

## Class ZipkinTracerFactory

- java.lang.Object
- - io.vertx.tracing.zipkin.ZipkinTracerFactory

- All Implemented Interfaces:
    VertxServiceProvider, VertxTracerFactory

      public class ZipkinTracerFactory
      extends Object
      implements VertxTracerFactory

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.core.spi.VertxTracerFactory

      `NOOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipkinTracerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TracingOptions` | `newOptions()` Create an empty tracing options.
    `TracingOptions` | `newOptions(JsonObject jsonObject)` Create tracing options from the provided `jsonObject`.
    `VertxTracer` | `tracer(TracingOptions options)` Create a new `VertxTracer` object. No specific thread and context can be expected when this method is called.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.spi.VertxTracerFactory

      `init`

- - ### Constructor Detail

    - #### ZipkinTracerFactory

          public ZipkinTracerFactory()

  - ### Method Detail

    - #### tracer

          public VertxTracer tracer(TracingOptions options)

      Description copied from interface: `VertxTracerFactory`
      Create a new `VertxTracer` object.

      No specific thread and context can be expected when this method is called.
      Specified by:
        `tracer` in interface `VertxTracerFactory`
      Parameters:
        `options` - the metrics configuration option
      Returns:
        the tracing implementation

    - #### newOptions

          public TracingOptions newOptions()

      Description copied from interface: `VertxTracerFactory`
      Create an empty tracing options. Providers can override this method to provide a custom tracing options subclass that exposes custom configuration. It is used by the `Launcher` class when creating new options when building a CLI Vert.x.
      Specified by:
        `newOptions` in interface `VertxTracerFactory`
      Returns:
        new tracing options

    - #### newOptions

          public TracingOptions newOptions(JsonObject jsonObject)

      Description copied from interface: `VertxTracerFactory`
      Create tracing options from the provided `jsonObject`. Providers can override this method to provide a custom tracing options subclass that exposes custom configuration. It is used by the `Launcher` class when creating new options when building a CLI Vert.x.
      Specified by:
        `newOptions` in interface `VertxTracerFactory`
      Parameters:
        `jsonObject` - json provided by the user
      Returns:
        new tracing options

Copyright © 2021 Eclipse. All rights reserved.